Developer Documentation

Public Member Functions | Public Attributes | List of all members
ACG::Geometry::Plane Class Reference

## Public Member Functions
| Plane (const ACG::Vec3d &_p, const ACG::Vec3d &_n, const ACG::Vec3d &_x, const ACG::Vec3d &_y)
void | setPlane (const ACG::Vec3d &_position, const ACG::Vec3d &_xDirection, const ACG::Vec3d &)
| Set plane. More...
void | setPlane (const ACG::Vec3d &_position, const ACG::Vec3d &_normal)
| Set plane with given normal and one point. More...
void | setSize (double _xDirection, double _yDirection)
| Set plane size. More...
void | transform (const ACG::Matrix4x4d &_mat)
| Transform the plane with given matrix. More...

## Public Attributes
ACG::Vec3d | position
ACG::Vec3d | normal
ACG::Vec3d | xDirection
ACG::Vec3d | yDirection

## Detailed Description

Definition at line 50 of file PlaneType.hh.

## Member Function Documentation

## ◆ setPlane() [1/2]

void ACG::Geometry::Plane::setPlane | ( | const ACG::Vec3d & | _position,
|  | const ACG::Vec3d & | _xDirection,
|  | const ACG::Vec3d & | _yDirection
| ) |  |

Set plane.

Parameters

  _position | One point on the plane. Will be used as corner point point for rendering in the PlaneNode
  _xDirection | Vector pointing in planes x direction
  _yDirection | Vector pointing in planes y direction

Definition at line 48 of file PlaneType.cc.

## ◆ setPlane() [2/2]

void ACG::Geometry::Plane::setPlane | ( | const ACG::Vec3d & | _position,
|  | const ACG::Vec3d & | _normal
| ) |  |

Set plane with given normal and one point.

Parameters

  _position | One point on the plane. Will be used as corner point for rendering in the PlaneNode
  _normal | Plane normal

Definition at line 58 of file PlaneType.cc.

## ◆ setSize()

void ACG::Geometry::Plane::setSize | ( | double | _xDirection,
|  | double | _yDirection
| ) |  |

Set plane size.

Scales the plane such that the x and y direction vectors have the given lengths

Parameters

  _xDirection | Size in x direction
  _yDirection | Size in y direction

Definition at line 100 of file PlaneType.cc.

## ◆ transform()

void ACG::Geometry::Plane::transform | ( | const ACG::Matrix4x4d & | _mat | ) |

Transform the plane with given matrix.

Parameters

  _mat | Transformation matrix.

Definition at line 89 of file PlaneType.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/Geometry/Types/PlaneType.hh
- OpenFlipper/libs_required/ACG/Geometry/Types/PlaneType.cc